GET /data/user/chats

Retrieve all chats where the current user is a participant. Returns list of chat conversations the user can access.

Responses

  • 200 application/json

    Chats where user is participant

    Hide response attributes Show response attributes object
    • id string(uuid)

      Chat unique identifier

    • entity_id string(uuid)

      Entity identifier

    • entity_type string

      Entity type

    • participants array[string(uuid)]

      List of participant person identifiers

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/user/chats
curl -X GET "http://api.example.com/data/user/chats" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/chats"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/chats' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "entity_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "entity_type": "Asset",
    "participants": [
      "c46c8gc6-eg97-6887-c292-79675204e47"
    ],
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]